#include "display_joystick.h"
#include <stdbool.h>

void waitTillPush(void)
{
  while(readAnalog(1) > 200) // wurde noch nicht nach unten gedrckt
  {}
  while(readAnalog(1) < 400) // wurde noch nicht wieder losgelassen
  {}  
}

int getNumber(void)
{
  int z = 50;
  while(readAnalog(1) > 200) // wurde nicht nach unten gedrckt
  {
    int increment = (readAnalog(0) - 512) / 200;
    z += increment;
    if(z > 100)
    {
      z = 100;
    }
    else if(z < 0)
    {
      z = 0;
    }       
    writeNumber(z);
    waitMilliseconds(20); 
  }
  while(readAnalog(1) < 400) // wurde noch nicht wieder losgelassen
  {}
  return z;  
}